Subject: Re: bug#23429: 25.0.90; `dired-do-find-regexp' doc string

From: Dmitry Gutov <[email-masked]>
Date: Mon, 2 May 2016 21:09:08 +0300

On 05/02/2016 08:57 PM, Drew Adams wrote:

> If what you mean is that the marked files in a marked _subdirectory_
> are searched, and so on for its marked subdirs, recursively - then
> say so.

Care to propose an exact wording?

> If you don't mean something like that then I cannot imagine what this
> means.  How can a _file_ (marked or not) be searched recursively?

A file can be a directory, in Emacs and in general Unix parlance.

Those marked files that are, are searched recursively. The regular files 
are searched, period.